var http = require("http");
cc.Class({
    extends: cc.Component,

    properties: {
        aPrefab:cc.Prefab,
    },
    onLoad: function () {
        var node = cc.instantiate(this.aPrefab);
        cc.loader.loadResDir("dragon",dragonBones.DragonBonesAsset, function (err, db) {
            cc.loader.loadResDir("texture",dragonBones.DragonBonesAtlasAsset, function (err, as) {
                node.getComponent(dragonBones.ArmatureDisplay).dragonAsset = db[0];
                node.getComponent(dragonBones.ArmatureDisplay).armatureName = "armatureName";
                node.getComponent(dragonBones.ArmatureDisplay).dragonAtlasAsset = as[0];
                node.getComponent(dragonBones.ArmatureDisplay).playAnimation("stand",0);
            });
        });
        node.parent = this.node;
    },
    // called every frame
});
